
/*
  RegOrganizer.h

  Plugin API for Reg Organizer 1.4 and higher
  
  Copyright (c) Konstantin Polyakov

*/

typedef char* (*ROGetMsg)(HINSTANCE hinst, DWORD MsgNumber);

struct PluginInfo
{
  int StructSize;
  DWORD Flags;
  const char *PluginName;
  const char *Author;
  const char *ImportBoxText;
};


struct ListOfStrings
{
  char **Strings;
  int StringsNumber;
};

struct ListItemStrings
{
  const char *Root;
  const char *Key;
  const char *ValueName;
  const char *ValueData;
  const char *Comment;
  const char *LastModified;
};

enum PLUGIN_INFO_FLAGS {
  PIF_NOENABLE = 1,
  PIF_NODISABLE = 2,
  PIF_NOCONFIGURE = 4,
  PIF_NOABOUTBOX = 8,
  PIF_IMPORTFILEBOX = 16

};

enum WINDOW_TYPES {
  WTS_OTHERWINDOW,
  WTS_SETTINGS,
  WTS_MAINWINDOW,
  WTS_ABOUTBOX,
  WTS_REGCLEANUP,
  WTS_CLEANUPRESULTS,
  WTS_BACKUPS,
  WTS_LAGNUAGESELECTION,
  WTS_SPLASH,
  WTS_STRINGVALUEBOX,
  WTS_DWORDVALUEBOX,
  WTS_BINARYVALUEBOX,
  WTS_REGFAVORITES,
  WTS_FILEFAVORITES,
  WTS_PLEASEWAIT,
  WTS_REGFILEBOX,
  WTS_ANALYZINGTHEKEY,
  WTS_REGISTRYKEYINFO,
  WTS_IGNORELIST,
  WTS_REPAIR,
  WTS_INSTALLSOFTWARE,
  WTS_UNINSTALLSOFTWARE,
  WTS_INSTALLPROGRESS
};

enum SETTING_VALUES {
  SV_CHECKBOX_CHECKED = 1,
  SV_CHECKBOX_UNCHECKED = 0,
  SV_CHECKBOX_DISABLED = 2
};
